package nl.kallestruik.darena

import nl.kallestruik.darena.managers.ConfigManager
import nl.kallestruik.darena.managers.PointsManager
import nl.kallestruik.darena.managers.TeamManager
import org.bukkit.plugin.java.JavaPlugin
import java.io.File

class DArena : JavaPlugin() {
    private lateinit var configManager: ConfigManager
    private lateinit var pointsManager: PointsManager
    private lateinit var teamManager: TeamManager

    override fun onEnable() {
        configManager = ConfigManager(File(dataFolder, "config.yml"))
        configManager.load()

        teamManager = TeamManager(File(dataFolder, "teams.yml"))
        teamManager.load()
        pointsManager = PointsManager(teamManager, File(dataFolder, "points.yml"))
    }

    override fun onDisable() {
    }
}
