package nl.kallestruik.darena.arenas

import nl.kallestruik.darena.types.arena.ArenaSpawn
import org.bukkit.entity.Player
import java.util.UUID

data class ArenaSession(
    val participants: MutableList<Player> = ArrayList(),
    val spectators: MutableList<Player> = ArrayList(),
    val completedObjective: MutableList<UUID> = ArrayList(),
    val deaths: MutableList<UUID> = ArrayList(),
    val initialSpawns: MutableList<String> = ArrayList(),
)
